/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.orverw.db.rmi;

import java.rmi.RemoteException;

import de.willuhn.datasource.rmi.DBObject;

/**
 * Das Datenbank Interface zu den Registereintr&auml;gen
 *
 * @author Frank Mnster
 */
public interface Register extends DBObject {

    /**
     * @return den Text der Beschreibung einer Zeile eines Registers
     * @throws RemoteException
     */
    String getBeschreibung() throws RemoteException;

    /**
     * @return den Text des Index einer Zeile eines Registers
     * @throws RemoteException
     */
    String getIndex() throws RemoteException;

    /**
     * @return das zugeh&ouml;rige Ordner Objekt
     * @throws RemoteException
     */
    Ordner getOrdner() throws RemoteException;

    /**
     * @return die zuge&ouml;rige Ordner ID
     * @throws RemoteException
     */
    int getOrdnerId() throws RemoteException;

    /**
     * @return the position of the entry
     * @throws RemoteException
     */
    int getPosition() throws RemoteException;

    /**
     * Setzt den Text der Beschreibung einer Zeile eines Registers
     * 
     * @param beschreibung
     *            den Text der Beschreibung einer Zeile eines Registers
     * @throws RemoteException
     */
    void setBeschreibung(String beschreibung) throws RemoteException;

    /**
     * Setzt den Text des Index einer Zeile eines Registers
     * 
     * @param index
     *            den Text des Index einer Zeile eines Registers
     * @throws RemoteException
     */
    void setIndex(String index) throws RemoteException;

    /**
     * Setzt die zugeh&ouml;rige Ordner ID
     * 
     * @param orderId
     *            die zugeh&ouml;rige Ordner ID
     * @throws RemoteException
     */
    void setOrdnerId(int orderId) throws RemoteException;

    /**
     * Setzt das zugeh&ouml;rige Ordner Objekt
     * 
     * @param ordner
     *            das zugeh&ouml;rige Ordner Objekt
     * @throws RemoteException
     */
    void setOrdner(Ordner ordner) throws RemoteException;

    /**
     * Set the position of the entry in the register
     * 
     * @param position
     *            the position of the entry
     * @throws RemoteException
     */
    void setPosition(int position) throws RemoteException;
}
