/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.gui.action;

import de.frankmuenster.jameica.orverw.gui.dialog.AboutDialog;
import de.frankmuenster.jameica.orverw.util.I18N;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Action handler fr starten eines neuen AboutDialog Dialog Fensters Implements
 * {@link de.willuhn.jameica.gui.Action}
 *
 * @author Frank Mnster
 */
public class ViewAboutAction implements Action {

    /**
     * Standart Konstruktor
     */
    public ViewAboutAction() {
	// This constructor is intentionally empty. Nothing special is needed
	// here.
    }

    /**
     * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
     */
    @Override
    public void handleAction(final Object context) throws ApplicationException {
	try {
	    new AboutDialog(AbstractDialog.POSITION_CENTER).open();
	} catch (final Exception e) { // NOPMD
	    Logger.error(I18N.tr("ViewAboutAction.errorOpenDialog"), e); //$NON-NLS-1$
	    throw new ApplicationException(I18N.tr("ViewAboutAction.errorOpenDialog"), e); //$NON-NLS-1$
	}
    }

}
