/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.orverw.parts.labelpart;

/**
 * Das Listener Interface f&uuml;r die Label-Buttons. Es &uuml;bergit ein LabelPartButtonObject-Ojekt, das alle
 * wichtigen Informationen enth&auml;lt. Beziehungsweise benachrichtigt die registrierten Listener, das ein Text
 * ge&auml;ndert wurde.
 *
 * @author Frank Mnster
 * @since 1.0
 */
public interface LabelPartListener {

    /**
     * notifies registered listener that a button was clicked
     *
     * @param button
     *            LabelPartButtonObject
     */
    void notifyButtonClicked(LabelPartButtonObject button);

    /**
     * notifies registered listener that a text has changed
     */
    void notifyLabelTextChanged();

}
