/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.parts.labelpart.buttons;

/**
 * Enum for all possible Buttons for the LabelPart
 *
 * @author Frank Mnster
 * @since 1.0
 *
 */
public enum LabelPartButtonsEnum {
    /**
     * Button to choose the font
     */
    FONT,

    /**
     * Button to align text left
     */
    ALIGN_LEFT,

    /**
     * Button to center text
     */
    ALIGN_CENTER,

    /**
     * Button to align text right
     */
    ALIGN_RIGHT,

    /**
     * Button to set text colour
     */
    COLOUR,

    /**
     * Button to set the background colour
     */
    BACKGROUND_COLOUR,

    /**
     * Button to set visibility of the bars
     */
    BAR_VISIBLE,

    /**
     * Button to set choose bar colour
     */
    BAR_COLOUR,

    /**
     * Button to set visibility of the ID
     */
    ID_VISIBLE
}
