/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.util;

/**
 * Utility KLasse zum Bereitstellen von TextManipulationen
 *
 * @author Frank Mnster
 * @since 1.0
 */
public final class TextUtils {

    /**
     * Ersetzt Zeilenumbr&uuml;che durch <b>/</b>.
     *
     * @param text
     *            Den zu formatierenden Text.
     * @param length
     *            Die maximale L&auml;nge des R&uuml;ckgabetextes.
     * @return Den formatierten Text.
     */
    public static String format(final String text, final int length) {

	String result;

	result = text.replaceAll("\r\n", "\n").replaceAll("\\\n", " / "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$

	if (result.startsWith(" / ")) { //$NON-NLS-1$
	    result = result.substring(3);
	}
	if (result.endsWith(" / ")) { //$NON-NLS-1$
	    result = result.substring(0, result.length() - 3);
	}

	if (result.length() > length - 3) {
	    result = result.substring(0, length - 3) + "..."; //$NON-NLS-1$
	}
	return result;

    }

    private TextUtils() {
	// Utility class must be final and have a private constructor
    }
}
